{ lib, stdenvNoCC, fetchFromGitHub }:

stdenvNoCC.mkDerivation {
  pname = "apple-firmware";
  version = "unstable";

  src = fetchFromGitHub {
    owner = "AdityaGarg8";
    repo = "Apple-Firmware";
    rev = "70bdd14a778abade95544fc625f3cc2b9eef272a";
    hash = "sha256-ktXMIgyfSgx/l+QQqKc9B7+SZkbZ1/ut7hH7ffjUTLc=";
  };

  installPhase = ''
    mkdir -p "$out/lib/firmware/brcm"
    cp -r "$src/lib/firmware/brcm/." "$out/lib/firmware/brcm/"
  '';

  meta = with lib; {
    description = "Various apple broadcom drivers, ripped from a runner image";
    homepage = "https://github.com/adityagarg8/apple-firmware";
    # not sure about the licenses on these, questionable legality
    # license = licenses.unfree;
    platforms = platforms.all;
  };
}
